<?php
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");
require_once("../../includes/clase_sesion.php");
require_once("../../includes/academia.locale.php");
$sesion=new sesion(); // inicio la sesion
//---------------
if(!headers_sent())
    ob_start("ob_gzhandler");
//cache();
//-----------------
$sesion->set('permiso',permisos($_POST['privilegio']));	

if(!comprobar_sesion()){
	mensaje($dtsLang['global']['ses_cad'],$dtsLang['project']['institucion']);	
	exit;
}

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Reporte de Asiganturas perdidas</title>
<script  type="text/javascript"> 
var element=null, rowt=null, wnd;
var dtsListEst;
$(document).ready(function(e) {

    var total_por=0;
	var gr=null;
	var ide_act;
	var wndFaltas,dtSelectFalta,dtsFaltas;
	var gridEstPerdidas=$("#list_infoEstboletin");
	
	$("#ob_radio,#ob_radioOpc").buttonset();
	$("#btnexportarxls").button({
		icons: {
			primary: "ui-icon-xls"
		},
	}).on("click",function(){ 
		/*
 		var data="?";
		data+="sede="+$("select#md_n_txtsedes").val();
		data+="&grupo="+$("select#md_n_txtgrupo").val();
		data+="&peri="+$("select#md_n_periodo").val();
		data+="&info="+$("input[name='ob_radio']:checked").val();
		data+="&mate="+$("input[name='ob_radioOpc']:checked").val();
		
        $.fileDownload('mod_reportes/mod_perdidas/imprime_perdidas_xls.php'+data, {
            successCallback: function (url) {
                alert("se completo la descarga");
            },
            failCallback: function (responseHtml, url) {
 				alert("Error");
            }
        });
        return false;
		*/
		 $.messager.confirm('Procesando', 'Esta operacion pueda tardar un poco<br>Desea Continuar? ...', function(r){  
			if (!r){  
				return false;
			}  
			$('#desmat').form('submit', {            
				url:'mod_reportes/mod_perdidas/imprime_perdidas_xls.php',            
				onSubmit: function(param){
					param.sede=$("select#md_n_txtsedes").val();
					param.grupo=$("select#md_n_txtgrupo").val();
					param.peri=$("select#md_n_periodo").val();
					param.info=$("input[name='ob_radio']:checked").val();
					param.mate=$("input[name='ob_radioOpc']:checked").val();
				},
				success: function(){} 
			}); 
		});
	});
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_n_txtsedes").change(function(){
		cd_sede=$(this).val();
		dt={cod_cnds:cd_sede,codigo:'a28',mopc:'0'}
		$.ajax({
			type: "POST",
			url: "includes/cargar_selec_normal.php",
			data: dt ,
			success: function(dt){
				$("#md_n_txtjornadas").html(dt);
				$("#md_n_txtjornadas").trigger("change");
			},
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_n_txtjornadas").change(function(){
		var jor=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_reportes/mod_perdidas/cargar_select_grupos.php",
			data: {sede:$("#md_n_txtsedes").val(), jornada:jor},
			success: function(rta){
				$("#md_n_txtgrupo").html(rta);
				$("#md_n_txtgrupo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_n_txtgrupo").change(function(){
		$("#nomGrupo").text($("option:selected",this).parent()[0].label);
		cd_grupo=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_reportes/mod_perdidas/cargar_select_periodos.php",
			data: {cod_cnds:cd_grupo},
			success: function(rta){
				$("#md_n_periodo").html(rta);
				$("#md_n_periodo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/			
	
	$("#md_n_periodo").change(function(){
		gridEstPerdidas.setGridParam({
			url:'mod_reportes/mod_perdidas/list_estudiantes_perdidas.php',
			page:1,
			datatype:'json',
			postData:{
				cdgr:$("#md_n_txtgrupo").val(),
				per_calif: $("#md_n_periodo").val(), 
			}
		}).trigger("reloadGrid");  		
	});
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_n_txtsedes").trigger("change");
	var row_acti;
	
	var toolbar=[
		{
			text:'Estudiantes que perdieron alguna asignatura',
			iconCls:'icon-print',
			handler:function(){
				sede=$("#md_n_txtsedes option:selected").attr('nomsede');
				jor=$("select#md_n_txtjornadas option:selected").text();
				gru=$("select#md_n_txtgrupo").val();
				lgru=$("#md_n_txtgrupo option:selected").attr('grado') + ' ' + $("#md_n_txtgrupo option:selected").attr('grupo');
				/*lgru1=$("select#md_n_txtgrupo").attr('label');*/
				sec=$("#md_n_txtgrupo option:selected").attr('seccion');
				per=$("select#md_n_periodo").val();
				id_gr=$("#md_n_txtgrupo option:selected").attr('id_grado');
				var regs=gridEstPerdidas.datagrid('getSelections'); 
				var tam=regs.length;
				var ids=[];
				$.each(regs,function(i,v){
					ids.push(v['cod_estudiante']);
				});
				if (tam>0){
					var datos='est='+ids+'&sede='+sede+'&grado='+lgru+'&grupo='+gru+'&peri='+per+'&secc='+sec+"&jorn="+jor+"&id_gr="+id_gr; 
					window.open('mod_reportes/mod_perdidas/imprime_perdidas.php?' + datos ,'','width=800,height=550,menubar=0,scrollbars=yes')
				}
				else{
					jAlert(dtsLang.boletines.sel_rec,dtsLang.project.empresa);	
				}	
			}
		},{
			
			text:'Vista Preliminar',
			iconCls:'icon-vermas',
			handler:function(){
				sede=$("#md_n_txtsedes option:selected").attr('nomsede');
				jor=$("select#md_n_txtjornadas option:selected").text();
				gru=$("select#md_n_txtgrupo").val();
				lgru=$("#md_n_txtgrupo option:selected").attr('grado') + ' ' + $("#md_n_txtgrupo option:selected").attr('grupo');
				/*lgru1=$("select#md_n_txtgrupo").attr('label');*/
				sec=$("#md_n_txtgrupo option:selected").attr('seccion');
				per=$("select#md_n_periodo").val();
				id_gr=$("#md_n_txtgrupo option:selected").attr('id_grado');
				
				var regs=gridEstPerdidas.datagrid('getSelections');
				var tam=regs.length;
				var ids=[];
				$.each(regs,function(i,v){
					ids.push(v['cod_estudiante']);
				});
				if (tam>0){
					var datos='est='+ids+'&sede='+sede+'&grado='+lgru+'&grupo='+gru+'&peri='+per+'&secc='+sec+"&jorn="+jor+"&id_gr="+id_gr; 
					$.colorbox({
						iframe:true,
						href:'mod_reportes/mod_perdidas/imprime_perdidas.php?' + datos,
						width:800,
						height:'90%',
					});
					//window.open('mod_boletines/imprime_boletin.php?' + datos ,'','width=800,height=550,menubar=0,scrollbars=yes')
				}
				else{
					jAlert(dtsLang.boletines.sel_rec,dtsLang.project.empresa);	
				}	
			}
		},
	]
	gridEstPerdidas.jqGrid({
		height: 450,
		url:'',
		datatype: "local",
		mtype:'GET',
		rowNum:1000,
		rowList:null,
		pager: null,
		sortname: null,
		viewrecords: true,
		caption:'',
		grouping:true,
		shrinkToFit:false,
		groupingView:{
			groupField:['nombre'],
			groupCollapse:true,
			groupText:['<i><b>{0}</b> {1} Materias perdidas</i>'],
			groupSummary : [false,false],
			showSummaryOnHide: false,
			groupColumnShow : [false], 			
		},
		colNames:['Estudiante','Materias','Definitiva','Aprueba'],
		colModel:[
			{name:'nombre',index:'nombre',resizable:false,width:1},
			{name:'asignatura',index:'asignatura',resizable:false,width:320},
			{name:'notadef',index:'notadef',width:100},
			{name:'aprueba',index:'aprueba',width:100},
			
		]
	});
	
	
});
</script>

</head>

<body>
<div id="preparing-file-modal" title="Preparing report..." style="display: none;">
    We are preparing your report, please wait...
 
    <div class="ui-progressbar-value ui-corner-left ui-corner-right" style="width: 100%; height:22px; margin-top: 20px;"></div>
</div>
 
<div id="error-modal" title="Error" style="display: none;">
    There was a problem generating your report, please try again.
</div>
<form action="" method="get" name="desmat" id="desmat">
  <table align="center">
    <tr clas class="tit1">
      <td><?php echo $dtsLang['reportes']['lbl_rep_sede'] ?></td>
      <td><?php echo $dtsLang['reportes']['lbl_rep_jornada'] ?></td>
      <td><?php echo $dtsLang['reportes']['lbl_rep_grupo']?> &nbsp;<span class="text4" id="nomGrupo"></span></td>
      <td id="tipo_evaluacion"><?php echo $dtsLang['reportes']['lbl_rep_periodo'] ?></td>
    </tr>
    <tr>
      <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
        <?php
		  	$sql="SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
			
			$academia->instruccion($sql);
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg[cod_sede]."' nomsede='".$reg[nom_sede]."' aux='$cmpaux2' >".$reg[nom_sede]."</option>";	
			}
			$academia->liberar();
					
		?>
      </select></td>
      <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
        <option value="0x">Seleccionar...</option>
        <?php
		
               ?>
      </select></td>
      <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
        <option value="0x">Seleccionar...</option>
      </select></td>
      <td><select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
        <option value="0x">Seleccionar...</option>
      </select></td>
    </tr>
  </table>
</form>
<table align="center" class="table table-condensed table-bordered" style="width:auto !important">
		<tr>
		<th align="center">Informe</th>
		<th align="center"><strong>Materias</strong></th>
		<th rowspan="2" align="center"><button id="btnexportarxls">Exportar</button></th>
	</tr>
	<tr>
		<td align="center">
			<div id="ob_radio">
				  <input name="ob_radio" type="radio" data-url="list_est_notas" id="ob_notas1"  value="1"/>
				  <label for="ob_notas1">Todos</label>
				  <input type="radio" name="ob_radio" data-url="list_est_asistencia" id="ob_notas2" value="2" />
				  <label for="ob_notas2">Sede actual</label>
				  <input name="ob_radio" type="radio" id="ob_notas3" value="3" checked="CHECKED" data-url="list_est_asistencia" />
				  <label for="ob_notas3">Grupo actual</label>
			</div>
	  </td>
			<td align="center"><div id="ob_radioOpc">
				<input name="ob_radioOpc" type="radio" data-url="list_est_notas" id="ob_opc1"  value="0"/>
				<label for="ob_opc1">Todos</label>
				<input name="ob_radioOpc" type="radio" id="ob_opc2" value="1" checked="CHECKED" data-url="list_est_asistencia" />
				<label for="ob_opc2">Solo perdidas</label>
			</div>
			</td>
	</tr>
</table>
<table align="center">
	<tr>
    	<td colspan="3" align="center">	
            <table id="list_infoEstboletin"></table>
			<div id="pager_infoEstInasistencia" align="center"></div>
        </td>
	</tr>
</table>


</div>
</body>
</html>